=== modified file 'ChangeLog'
--- ChangeLog	2006-08-15 20:26:53 +0000
+++ ChangeLog	2006-08-19 19:02:08 +0000
@@ -1,3 +1,9 @@
+2006-08-19  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/__init__.py: added win32 compatibility
+    * olive/frontend/gtk/menu.py: added win32 compatibility
+    * olive/frontend/gtk/branch.py: fixed a typo
+
 2006-08-15  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * olive/frontend/gtk/menu.py: upgraded according to the OliveDialog API

=== modified file 'TODO'
--- TODO	2006-08-15 18:59:46 +0000
+++ TODO	2006-08-19 19:02:08 +0000
@@ -16,6 +16,7 @@
  - Implement 'bzr missing' (phanatic)
  - Implement 'bzr uncommit' (phanatic)
  - Implement bundle handling - at least creating them (phanatic)
- - Testing on Windows platform (phanatic)
+[DONE] Testing on Windows platform (phanatic)
  - i18n/l10n with gettext (phanatic)
  - Bookmarks should have a 'title' attribute (phanatic)
+ - Open files on double-click, and add Open option to context menu (Aaadam)

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-08-15 20:26:53 +0000
+++ olive/frontend/gtk/__init__.py	2006-08-19 19:02:08 +0000
@@ -42,10 +42,19 @@
     
     def __init__(self):
         # Load the glade file
-        self.gladefile = "/usr/share/olive/olive.glade"
+        if sys.platform == 'win32':
+            self.gladefile = os.path.dirname(sys.executable) + "/share/olive/olive.glade"
+        else:
+            self.gladefile = "/usr/share/olive/olive.glade"
+
         if not os.path.exists(self.gladefile):
             # Load from current directory if not installed
             self.gladefile = "olive.glade"
+            # Check again
+            if not os.path.exists(self.gladefile):
+                # Fail
+                print "Glade file cannot be found."
+                sys.exit(1)
 
         self.toplevel = gtk.glade.XML(self.gladefile, 'window_main')
         

=== modified file 'olive/frontend/gtk/branch.py'
--- olive/frontend/gtk/branch.py	2006-08-13 14:08:06 +0000
+++ olive/frontend/gtk/branch.py	2006-08-19 19:02:08 +0000
@@ -98,7 +98,7 @@
             self.comm.set_busy(self.window, False)
             return
         except errors.NotBranchError, errmsg:
-            self.dialog.error_dialog('Location is not a branch'
+            self.dialog.error_dialog('Location is not a branch',
                                      'The specified location has to be a branch')
             self.comm.set_busy(self.window, False)
             return

=== modified file 'olive/frontend/gtk/menu.py'
--- olive/frontend/gtk/menu.py	2006-08-15 20:26:53 +0000
+++ olive/frontend/gtk/menu.py	2006-08-19 19:02:08 +0000
@@ -1,15 +1,15 @@
 # Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
@@ -35,10 +35,19 @@
     """ This class is responsible for building the context menus. """
     def __init__(self, gladefile, comm, dialog):
         # Load the UI file
-        self.uifile = "/usr/share/olive/cmenu.ui"
+        if sys.platform == 'win32':
+            self.uifile = os.path.dirname(sys.executable) + "/share/olive/cmenu.ui"
+        else:
+            self.uifile = "/usr/share/olive/cmenu.ui"
+        
         if not os.path.exists(self.uifile):
             # Load from current directory if not installed
             self.uifile = "cmenu.ui"
+            # Check again
+            if not os.path.exists(self.uifile):
+                # Fail
+                print "UI description file cannot be found."
+                sys.exit(1)
         
         self.gladefile = gladefile
         self.comm = comm

